# from dateutil.parser import isoparse
from datetime import date, datetime, timezone


def timestamp2utc_dt(timestamp: int, _format: str = "%Y-%m-%d %H:%M:%S") -> [str, datetime]:
    if len(str(timestamp)) == 13:  # _ms
        timestamp = int(timestamp / 1000)
    utc_dt = datetime.utcfromtimestamp(timestamp)
    if _format:
        return utc_dt.strftime(_format)
    return utc_dt


if __name__ == '__main__':
    print(timestamp2utc_dt(1574232571377))
